﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace TreeViewTest
{

    public class ViewModel

    {

        public ViewModel()

        {

            TreeItems = new ObservableCollection<Model>();

            PopulateData();

        }

        public ObservableCollection<Model> TreeItems { get; set; }

        private void PopulateData()
        {
            // Adding foreground color to the treeview item
            Model Root1 = new Model() { Header = "Root1", ForeColor = new SolidColorBrush(Colors.Red) };

            PopulateSubItems(Root1);

            TreeItems.Add(Root1);

            // Adding foreground color to the treeview item
            Model Root2 = new Model() { Header = "Root2", ForeColor = new SolidColorBrush(Colors.Brown) };

            PopulateSubItems(Root2);

            TreeItems.Add(Root2);

        }

        private void PopulateSubItems(Model Root)
        {
            // Adding foreground color to the treeview item
            Model SubItem1 = new Model() { Header = Root.Header + " Item1", ForeColor = new SolidColorBrush(Colors.Navy) };

            Model SubItem2 = new Model() { Header = Root.Header + " Item2" };

            Model SubItem3 = new Model() { Header = Root.Header + " Item3" };

            Model SubItem4 = new Model() { Header = Root.Header + " Item4" };

            Root.SubItems.Add(SubItem1);

            Root.SubItems.Add(SubItem2);

            Root.SubItems.Add(SubItem3);

            Root.SubItems.Add(SubItem4);

        }

    }
}
